summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author David Somero <dsomero@hotmail.com>2010-05-11 22:54:29 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 22:54:29 +0200
commitcf3f72ac05bf8525e1fc80e2828af775698fba1a (patch)
tree1991794b2e8fd34d65d7b49ab460c82df51c356d /misc
parenta1b3f8c001f48f03181d382188644f9fc0a9067a (diff)
downloadslackbuilds-cf3f72ac05bf8525e1fc80e2828af775698fba1a.tar.gz
slackbuilds-cf3f72ac05bf8525e1fc80e2828af775698fba1a.tar.xz
misc/qstat: Added to 12.1 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/qstat/README4
-rw-r--r--misc/qstat/doinst.sh15
-rw-r--r--misc/qstat/qstat.SlackBuild93
-rw-r--r--misc/qstat/qstat.info8
-rw-r--r--misc/qstat/slack-desc19
5 files changed, 139 insertions, 0 deletions
diff --git a/misc/qstat/README b/misc/qstat/README
new file mode 100644
index 0000000000..b354e7a94c
--- /dev/null
+++ b/misc/qstat/README
@@ -0,0 +1,4 @@
+QStat is a command-line utility for collecting real-time statistics
+from on-line game servers. The games supported are generally limited
+to the first-person-shooter genre (Quake, Half-Life, Unreal, etc).
+Statistics may be output in a variety of form
diff --git a/misc/qstat/doinst.sh b/misc/qstat/doinst.sh
new file mode 100644
index 0000000000..df4e1c9549
--- /dev/null
+++ b/misc/qstat/doinst.sh
@@ -0,0 +1,15 @@
+# Handle configuration files
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+# List of configuration files (they should end in .new)
+
+config etc/qstat.cfg.new
diff --git a/misc/qstat/qstat.SlackBuild b/misc/qstat/qstat.SlackBuild
new file mode 100644
index 0000000000..4e349d3457
--- /dev/null
+++ b/misc/qstat/qstat.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+# Slackware build script for qstat
+
+# Copyright 2007 David Somero <dsomero@hotmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by SlackBuilds.org
+
+set -e
+
+PRGNAM=qstat
+VERSION=2.11
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "${ARCH}" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="${SLKCFLAGS}" \
+CXXFLAGS="${SLKCFLAGS}" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --program-prefix="" \
+ --program-suffix="" \
+ --with-docdir=/usr/doc/$PRGNAM-$VERSION
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# If there are docs in /usr/share, move them:
+if [ -d $PKG/usr/share/doc ]; then
+ mkdir -p $PKG/usr/doc/
+ mv $PKG/usr/share/doc/* $PKG/usr/doc
+ rmdir $PKG/usr/share/doc
+fi
+
+# Don't clobber existing config
+mv $PKG/etc/qstat.cfg $PKG/etc/qstat.cfg.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt CHANGES.txt ChangeLog COMPILE.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/qstat.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/qstat.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/qstat/qstat.info b/misc/qstat/qstat.info
new file mode 100644
index 0000000000..b5ffc4ee8d
--- /dev/null
+++ b/misc/qstat/qstat.info
@@ -0,0 +1,8 @@
+PRGNAM="qstat"
+VERSION="2.11"
+HOMEPAGE="http://sourceforge.net/projects/qstat/"
+DOWNLOAD="http://downloads.sourceforge.net/qstat/qstat-2.11.tar.gz"
+MD5SUM="26c09831660ef9049fe74b786b80d091"
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
+APPROVED="Erik Hanson"
diff --git a/misc/qstat/slack-desc b/misc/qstat/slack-desc
new file mode 100644
index 0000000000..5fbd24039c
--- /dev/null
+++ b/misc/qstat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------------|
+qstat: QStat (Real-time game server stats)
+qstat:
+qstat: QStat is a command-line utility for collecting real-time statistics
+qstat: from on-line game servers.The games supported are generally limited to
+qstat: the first-person-shooter genre (Quake, Half-Life, Unreal, etc).
+qstat:
+qstat:
+qstat:
+qstat:
+qstat:
+qstat: